com.aliyun.svideosdk.mixrecorder

## Interface AliyunIMixComposer

-     public interface AliyunIMixComposer

  定义多个轨道，每个轨道都可以添加N股视频流，

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `cancel()` 取消合成
    `AliyunMixTrack` | `createTrack(AliyunMixTrackLayoutParam layoutParam)` 创建一个视频轨道，后面可以在该轨道上添加视频。
    `int` | `pause()` 暂停合成
    `int` | `release()` 释放资源
    `int` | `resume()` 继续合成
    `int` | `setBackgroundColor(int color)` 设置合成窗口非填充模式下的背景颜色 v3.19.0 新增
    `int` | `setBackgroundImage(Bitmap bitmap, int displayMode)` 设置合成窗口非填充模式下的背景图片,assets, resource文件可以使用这个接口 v3.19.0 新增
    `int` | `setOutputParam(AliyunMixOutputParam param)` 设置输出参数，在`start(AliyunMixCallback)`前，必须保证该方法调用过，否则将无法启动mix。
    `int` | `start(AliyunMixCallback callback)` 开始合成

- - ### Method Detail

    - #### createTrack

          AliyunMixTrack createTrack(AliyunMixTrackLayoutParam layoutParam)

      创建一个视频轨道，后面可以在该轨道上添加视频。
      Parameters:
        `layoutParam` - 轨道的布局参数，指示该轨道的视频流在输出画面的哪块区域显示，具体可以看`AliyunMixTrackLayoutParam` 中关于轨道布局的讲解。
      Returns:
        返回一个轨道实例。
      See Also:
        `AliyunMixTrackLayoutParam`

    - #### setOutputParam

          int setOutputParam(AliyunMixOutputParam param)

      设置输出参数，在`start(AliyunMixCallback)`前，必须保证该方法调用过，否则将无法启动mix。
      Parameters:
        `param` - 输出参数
      Returns:
        成功返回 `AliyunErrorCode.OK`, 失败返回对应的错误码
      See Also:
        `AliyunMixOutputParam`

    - #### start

          int start(AliyunMixCallback callback)

      开始合成
      Parameters:
        `callback` - 合成回调
      Returns:
        成功返回 `AliyunErrorCode.OK`，失败返回对应的错误码

    - #### pause

          int pause()

      暂停合成
      Returns:
        成功返回 `AliyunErrorCode.OK`，失败返回对应的错误码

    - #### resume

          int resume()

      继续合成
      Returns:
        成功返回 `AliyunErrorCode.OK`，失败返回对应的错误码

    - #### cancel

          int cancel()

      取消合成
      Returns:
        成功返回 `AliyunErrorCode.OK`，失败返回对应的错误码

    - #### release

          int release()

      释放资源
      Returns:
        成功返回 `AliyunErrorCode.OK`，失败返回对应的错误码

    - #### setBackgroundColor

          int setBackgroundColor(int color)

      设置合成窗口非填充模式下的背景颜色 v3.19.0 新增
      Parameters:
        `color` -
      Returns:
        成功返回 `AliyunErrorCode.OK`，失败返回对应的错误码

    - #### setBackgroundImage

          int setBackgroundImage(Bitmap bitmap,
                                 int displayMode)

      设置合成窗口非填充模式下的背景图片,assets, resource文件可以使用这个接口 v3.19.0 新增
      Parameters:
        `bitmap` -
        `displayMode` - 0：裁切 1：填充 2：拉伸
      Returns:
        成功返回 `AliyunErrorCode.OK`，失败返回对应的错误码